Skip to main content
GET
/
api
/
v2
/
events
/
{eventID}
/
markets
/
history
Get market price history for an event
curl --request GET \
  --url 'https://therundown.io/api/v2/events/{eventID}/markets/history?key='
{
  "meta": {
    "event_id": "09bfa53f8484a63e584398545c035932",
    "count": 2
  },
  "history": [
    {
      "id": 500001,
      "market_line_price_id": 192868821,
      "event_id": "09bfa53f8484a63e584398545c035932",
      "sport_id": 4,
      "affiliate_id": 19,
      "market_participant_id": 45001,
      "market_id": 1,
      "line": "",
      "price": "-105",
      "previous_price": null,
      "change_type": "new",
      "updated_at": "2026-02-10T14:00:00Z"
    },
    {
      "id": 500002,
      "market_line_price_id": 192868821,
      "event_id": "09bfa53f8484a63e584398545c035932",
      "sport_id": 4,
      "affiliate_id": 19,
      "market_participant_id": 45001,
      "market_id": 1,
      "line": "",
      "price": "-110",
      "previous_price": "-105",
      "change_type": "price_change",
      "updated_at": "2026-02-11T09:30:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.therundown.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

key
string
query
required

API key as query parameter

Path Parameters

eventID
string
required

Canonical V2 event ID from the event_id field returned by event endpoints

Query Parameters

market_ids
string

Comma-separated market IDs to filter

affiliate_ids
string

Comma-separated sportsbook/affiliate IDs to filter. Common values include DraftKings (19), FanDuel (23), BetMGM (22), Bovada (2), Pinnacle (3).

from
string<date-time>

Start time (RFC3339)

to
string<date-time>

End time (RFC3339)

limit
integer
default:1000
Required range: x <= 5000

Response

200 - application/json

Market price history

meta
object
history
object[]